package com.hmsoft.remote.rmi.future;

import com.hmsoft.remote.rmi.exception.RemotingException;

/**
 * 
 * @author zq
 *
 */
public interface IFuture {

    Object get() throws RemotingException;

    Object get(int timeoutInMillis) throws RemotingException;
    
    boolean isDone();
    
    void cancel();
}
